automake
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Patch to better match file extensions


From: Ralf Wildenhues
Subject: Re: Patch to better match file extensions
Date: Sat, 24 Jun 2006 07:31:01 +0200
User-agent: Mutt/1.5.11+cvs20060403

Hi Eric,

* Eric Dorland wrote on Sun, Jun 18, 2006 at 10:13:25AM CEST:
> 
> Ran into the error: 
> 
> doc/automake.texi:3: output `automake-1.9.info' has unrecognized
> extension

Thanks for the report and patch.  I'm checking this in.

Cheers,
Ralf

2006-06-24  Eric Dorland  <address@hidden>
            Ralf Wildenhues  <address@hidden>

        * automake.in (scan_texinfo_file): Fix matching file extension.
        * tests/txinfo31.test: New test.
        * tests/Makefile.am: Update.

Index: THANKS
===================================================================
RCS file: /cvs/automake/automake/THANKS,v
retrieving revision 1.284
diff -u -r1.284 THANKS
--- THANKS      6 Jun 2006 20:39:22 -0000       1.284
+++ THANKS      24 Jun 2006 05:27:33 -0000
@@ -68,6 +68,7 @@
 Enrico Scholz          address@hidden
 Erez Zadok             address@hidden
 Eric Blake             address@hidden
+Eric Dorland           address@hidden
 Eric Magnien           address@hidden
 Eric Siegerman         address@hidden
 Eric Sunshine          address@hidden
Index: automake.in
===================================================================
RCS file: /cvs/automake/automake/automake.in,v
retrieving revision 1.1622
diff -u -r1.1622 automake.in
--- automake.in 7 Jun 2006 06:01:22 -0000       1.1622
+++ automake.in 24 Jun 2006 05:27:36 -0000
@@ -2879,7 +2879,7 @@
          next if $outfile;
 
          $outfile = $1;
-         if ($outfile =~ /\.(.+)$/ && $1 ne 'info')
+         if ($outfile =~ /\.([^.]+)$/ && $1 ne 'info')
            {
              error ("$filename:$.",
                     "output `$outfile' has unrecognized extension");
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.604
diff -u -r1.604 Makefile.am
--- tests/Makefile.am   10 May 2006 20:47:36 -0000      1.604
+++ tests/Makefile.am   24 Jun 2006 05:27:38 -0000
@@ -565,6 +565,7 @@
 txinfo28.test \
 txinfo29.test \
 txinfo30.test \
+txinfo31.test \
 transform.test \
 unused.test \
 vars.test \
--- /dev/null   1970-01-01 00:00:01.000000000 +0200
+++ tests/txinfo31.test 2006-06-24 07:23:29.000000000 +0200
@@ -0,0 +1,35 @@
+#! /bin/sh
+# Copyright (C) 2006  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+
+# Make sure file extensions are matched correctly.
+# Report from Eric Dorland.
+
+. ./defs || exit 1
+
+set -e
+
+echo info_TEXINFOS = bar.texi >Makefile.am
+cat >bar.texi <<EOF
address@hidden bar-1.9.info
+EOF
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE --add-missing




reply via email to

[Prev in Thread] Current Thread [Next in Thread]